#ifndef __LIGHT_H
#define __LIGHT_H

#include "config.h"
#include "tvector.h"
#include "colour.h"

class Object; // forward decl.

class Light{
public:
	Light(TVector& p,Colour c):
	  pos(p),colour(c),next(0),last_blocked(0){};

	TVector pos;
	Colour colour;
	Light* next;

	// optimisation stuff
	union{
		Object* last_blocked; // the last object that blocked this light
		void* pointer;
	};
};


#endif


