#ifndef __COLOUR_H
#define __COLOUR_H

#include "config.h"

class Colour{
public:
	Float r,g,b;
	Colour(Float R=0.0, Float G=0.0, Float B=0.0):
		r(R), g(G), b(B){}
	Colour& operator +=(Colour&);
	Colour& operator *=(Colour&); // merge colours
	Colour& operator *=(Float); // scale colour
};

Colour operator+(Colour&,Colour&);
Colour operator-(Colour&,Colour&);
Colour operator*(Colour&,Float);

#endif


